Skip to main content
GET
/
sse
/
reserves
Stream real-time reserve updates for a single pool or token
curl --request GET \
  --url https://streaming.dexpaprika.com/sse/reserves
import requests

url = "https://streaming.dexpaprika.com/sse/reserves"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://streaming.dexpaprika.com/sse/reserves', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "chain": "ethereum",
  "pool_id": "0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640",
  "block": "19000000",
  "previous_block": "18999999",
  "tokens": [
    {
      "token_id": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
      "reserve": "1000000000000",
      "delta": "-500000",
      "price_usd": 1.0005,
      "reserve_usd": 1000000.5,
      "delta_usd": -500.25
    }
  ],
  "total_reserve_usd": 2000000.75,
  "total_delta_usd": -1000.5,
  "timestamp": 1715162400,
  "block_timestamp": 1715162388
}
{
  "message": "asset not found"
}

Query Parameters

method
enum<string>
required

Subscription target type — pool_reserves for pool-level data, token_reserves for token-level aggregated data.

Available options:
pool_reserves,
token_reserves
address
string
required

Target pool or token smart contract address.

chain
string
required

Target blockchain network identifier (e.g., ethereum, solana).

request_id
integer

Optional identifier for tracking the request in the SSE stream.

Required range: 0 <= x <= 4294967295
limit
integer

Maximum event count before server-initiated connection teardown.

Required range: x >= 1

Response

SSE stream successfully established.

Per-block reserve update for a pool. Emitted on the pool_reserves event channel.

chain
string

Blockchain network identifier.

Example:

"ethereum"

pool_id
string

Pool smart contract address.

Example:

"0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640"

block
string

Block number in which the reserve update was confirmed (string-encoded integer).

Example:

"19000000"

previous_block
string

Previous block number for this pool (string-encoded integer). Omitted if unavailable.

Example:

"18999999"

tokens
object[]

Per-token reserve statistics for this pool.

total_reserve_usd
number

Total USD value of all reserves in the pool.

Example:

2000000.75

total_delta_usd
number

Total USD change across all reserves. Negative values indicate a net decrease.

Example:

-1000.5

timestamp
integer

Server ingestion timestamp (Unix epoch seconds).

Example:

1715162400

block_timestamp
integer

On-chain block timestamp (Unix epoch seconds).

Example:

1715162388